#!/bin/bash

softversion='1.10'
packageversion='26154'
softname='ndiswrapper'
arch='i486'
cpu='i686'

buildir=$(pwd)

srcpkg="$buildir/$softname-$softversion.tar.gz"
src="$buildir/$softname-$softversion"

package="$softname-$softversion-$arch-$packageversion"

dest="$buildir/$package"


cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu" 
#export PKG_CONFIG_PATH=/usr/lib/pkgconfig

cd $src
make DESTDIR=$dest
make install DESTDIR=$dest

cp -rf $buildir/install $dest/

mkdir -p $dest/usr/doc/$softname-$softversion
cp -a Changelog AUTHORS INSTALL README version $dest/usr/doc/$softname-$softversion/

gzip -9 $dest/usr/man/man?/*

( cd $dest
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

mkdir -p $dest/usr/src/$softname-$softversion
( cd $buildir
cp -a build-$softname.sh $dest/usr/src/$softname-$softversion/
)

chown root:bin $dest/usr/bin/*


cd $dest
makepkg -l y -c n $dest.tgz




